/* Output from p2c, the Pascal-to-C translator */
/* From input file "aac.pas" */


/*
 *  hz - AAC, AACplus, AACplusV2 Icecast source client
 *  Copyright (C) 2006 Roman Butusov <reaxis at mail dot ru>
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Library General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Library General Public License for more details.
 *
 *  You should have received a copy of the GNU Library General Public
 *  License along with this library; if not, write to the Free
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#include <p2c/p2c.h>


#define AAC_G
#include "aac.h"



boolean aac_IsValidFrameHeader(header)
long header;
{
  boolean Result;
  dword syncword;
  uchar profile;
  dword sftable[16];
/* p2c: aac.pas, line 43:
 * Warning: Expected a semicolon, found an '=' [227] */
  long sfindex, frame_length;
  boolean Result;

  Result = false;
/* p2c: aac.pas, line 51: Warning: Symbol 'RESULT' is not defined [221] */


  syncword = (header[0] << 4) | (((unsigned long)header[1]) >> 4);
/* p2c: aac.pas, line 54: Warning: Index on a non-array variable [287] */
/* p2c: aac.pas, line 54: Warning: Index on a non-array variable [287] */
  if (syncword != 0xfff)
    return Result;


  profile = ((unsigned long)(header[2] & 0xc0)) >> 6;
/* p2c: aac.pas, line 58: Warning: Index on a non-array variable [287] */
  if (profile == 3)
    return Result;


  sfindex = ((unsigned long)(header[2] & 0x3c)) >> 2;
/* p2c: aac.pas, line 62: Warning: Index on a non-array variable [287] */
  if (sftable[sfindex] == 0)
    return Result;

  frame_length = ((header[3] & 0x3) << 11) | (header[4] << 3) |
		 (((unsigned long)(header[5] & 0xe0)) >> 5);
/* p2c: aac.pas, line 65: Warning: Index on a non-array variable [287] */
/* p2c: aac.pas, line 65: Warning: Index on a non-array variable [287] */
/* p2c: aac.pas, line 66: Warning: Index on a non-array variable [287] */
  if ((unsigned long)frame_length > 5000)
    return Result;


  Result = true;
  return Result;
}


long aac_SeekTo1stFrame(fs)
Anyptr fs;
{
/* p2c: aac.pas, line 81:
 * Warning: No field called READ in that record [288] */
/* p2c: aac.pas, line 81: Warning: Expected END, found a '(' [227] */
}


long aac_GetFrames(fs, framestoread, Spam, Spam, sbuf)
Anyptr fs;
long framestoread, Spam, Spam;
uchar *sbuf;
{
  long pos, BytesRead;
  dword FramesRead;

/* p2c: aac.pas, line 111:
 * Warning: Expected a semicolon, found an '=' [227] */
  pos = 0;
  FramesRead = 0;

  while (FramesRead < framestoread) {
    BytesRead = fs.Read;
/* p2c: aac.pas, line 120:
 * Warning: No field called READ in that record [288] */
  }


/* p2c: aac.pas, line 120: Warning: Expected END, found a '(' [227] */













  /*
  if protection_absent = 0 then
  begin
    fs.Seek(2, sofromCurrent);
    if numBytesToRead > 2 then
      numBytesToRead := numBytesToRead - 2
    else
      numBytesToRead := 0;
  end; */

  Result = pos;
/* p2c: aac.pas, line 185: Warning: Symbol 'RESULT' is not defined [221] */
}


long aac_GetFileInfo(filename, br, spf, sr, frames, ch)
Char *filename;
double *br;
long *spf, *sr, *frames, *ch;
{
  long Result;
  Anyptr fs;
/* p2c: aac.pas, line 195:
 * Warning: Expected a semicolon, found an '=' [227] */
  long sfindex;

  long protection_absent;

  long frame_length;
/* p2c: aac.pas, line 207:
 * Warning: Expected a semicolon, found an '=' [227] */
  dword nsamples;
/* p2c: aac.pas, line 209: Warning: Symbol 'INT64' is not defined [221] */
  long fsize;

  long j;

/* p2c: aac.pas, line 216: Warning: Expected END, found a '.' [227] */



























  Result = -1;
/* p2c: aac.pas, line 214: Warning: Symbol 'RESULT' is not defined [221] */
  if (~FileExists(filename))
    return Result;
/* p2c: aac.pas, line 215:
 * Warning: Symbol 'FILEEXISTS' is not defined [221] */
  fs = TFileStream;
/* p2c: aac.pas, line 216:
 * Warning: Expected an expression, found a '.' [227] */
  return Result;
}
/* p2c: aac.pas, line 310: Warning: Expected END, found 'spf' [227] */
/* p2c: aac.pas, line 328: Warning: Expected a '.', found END [227] */
/* p2c: aac.pas, line 328: 
 * Warning: Junk at end of input file ignored [277] */







/* End. */
